@import url('https://fonts.googleapis.com/css2?family=Roboto+Mono:ital,wght@0,100..700;1,100..700&display=swap');
:root{
    --clr-main: #820933;
    --clr-pink: #D84797;
    --clr-darkBlue: #2b7b80;
    --clr-blue: #84262e;
    --clr-whiteBlue: #8d82d6;
    --clr-white:  white;
}
* {
    margin: 0;
    padding: 0;
    box-sizing: border-box; 
    font-family: 'Dosis', sans-serif;
}
h1 ,h2 ,h3 ,h4 ,h5 ,h6 ,p ,a ,input ,textarea ,ul {
    margin: 0;
    padding: 0;
}
ul {
    list-style-type: none;
}
a {
    text-decoration: none;
}
.wrapper{
    display: grid;
    grid-template-columns: 1fr 4fr;
    background-color: var(--clr-main);
}
aside{
    padding: 2rem;
    color: var(--clr-pink);
    position: sticky;
    top: 0;
    height: 100vh;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
}
.logo{
    font-weight: 400;
    font-size: 1.3rem;
}
.menu{
    display: flex;
    flex-direction: column;
    gap: .5rem;
}
.boton-menu {
    background-color: transparent;
    border: 0;
    color: var(--clr-white);
    font-size: .85rem;
    cursor: pointer;
    display: flex;
    align-items: center;
    gap: 1rem;
    font-weight: 600;
    padding: 1rem;
}
.boton-menu.active{
    background-color: var(--clr-white);
    color: var(--clr-white);
    width: 100%;
    border-top-left-radius: 1rem;
    border-bottom-left-radius:1rem;
    position: relative;
}
.boton-menu.active::before{
    content: "";
    position: absolute;
    width: 1rem;
    height: 2rem;
    bottom: 100%;
    right: 0;
    background-color: transparent;
    border-bottom-right-radius: .5rem;
    box-shadow: 0 1rem 0 var(--clr-white);
}
.boton-menu.active::after{
    content: "";
    position: absolute;
    width: 1rem;
    height: 2rem;
    top: 100%;
    right: 0;
    background-color: transparent;
    border-top-right-radius: .5rem;
    box-shadow: 0 -1rem 0 var(--clr-white);
}

.boton-carrito{
    margin-top: 2rem;
}
.numerito{
    background-color: var(--clr-white);
    color: var(--clr-main);
    padding: 0 .25rem;
}
.boton-carrito.active .numerito{
    background-color: var(--clr-white);
    color: var(--clr-white);
}

.boton-categoria {
    background-color: transparent;
    border: 0;
    font-size: .85rem;
    color: var(--clr-white);
    cursor: pointer;
    display: flex;
    gap: 1rem;
    padding: 1rem;
}

.texto-footer{
    color: var(--clr-white);
    font-size: .85rem;
}
main{
    background-color: var(--clr-blue);
    margin: 1rem;
    margin-left: 0;
    border-radius: 2rem;
    padding: 3rem;
}
.Titulo-principal{
    color: var(--clr-white);
    margin-bottom: 2rem;
}
.contenedor-productos {
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    gap: 1rem;
}
.producto-imagen{
    max-width: 100%;
    border-radius: 5rem;
}
.producto-detalles{
    background-color: var(--clr-white);
    color: var(--clr-white);
    padding: .5rem;
    border-radius: 1rem;
    margin-top: -2rem;
    position: relative;
    display: flex;
    flex-direction: column;
    gap: .25rem;
}
.producto-titulo{
    font-size: 1rem;
}
.producto-agregar{
    background-color: var(--clr-white);
    color: var(--clr-darkBlue);
    padding: 1rem;
    text-transform: uppercase;
    border-radius: 2rem;
    cursor: pointer;
    border: 1px solid var(--clr-white);
    box-shadow: 2px 2px 2px 0;
}
.producto-agregar:hover{
    background-color: var(--clr-white);
    color: var(--clr-pink)
}

.btn-suma {
    background-color: var(--clr-darkBlue);
    border: var(--clr-darkBlue);
    padding: 1rem 1rem;
    box-shadow: 2px 2px 2px 0;
}

.btn-resta {
    background-color: var(--clr-darkBlue);
    border: var(--clr-darkBlue);
    padding: 1rem 1rem;
    box-shadow: 2px 2px 2px 0;
}

/** CARRITO **/

.contenedor-carrito{
    display: flex;
    flex-direction: column;
    gap: 1.5rem;
}
.carrito-vacio, carrito-comprado{
    color: var(--clr-white);
}
.carrito-productos{
    display: flex;
    flex-direction: column;
    gap: 1rem;
}
.carrito-producto {
    display: flex;
    justify-content: space-between;
    align-items: center;
    background-color: var(--clr-pink );
    color: var(--clr-main);
    padding: .5rem;
    padding-right: 1.5rem;
    border-radius: 1rem;
}
.carrito-producto-imagen{
    width: 4rem;
    border-radius: 1rem;
}
.carrito-producto small {
    font-size: .75rem;
}
.carrito-producto-eliminar {
    border: 0;
    background-color: transparent;
    color: red;
    cursor: pointer;
}
.carrito-acciones {
    display: flex;
    justify-content: space-between;
}
.carrito-acciones-vaciar{
    border: 0;
    background-color: var(--clr-blue);
    padding: 1rem;
    border-radius: 1rem;
    color: var(--clr-white);
    text-transform: uppercase;
    cursor: pointer;
}
.carrito-acciones-eliminar{
    border: 0;
    background-color: var(--clr-darkBlue);
    padding: 1rem;
    border-radius: 1rem;
    color: var(--clr-white);
    text-transform: uppercase;
    cursor: pointer;
}

.carrito-acciones-derecha{
    display: flex;
}
.carrito-acciones-total {
    border: 0;
    background-color: var(--clr-darkBlue);
    padding: 1rem;
    border-radius: 1rem;
    color: var(--clr-white);
    text-transform: uppercase;
    gap: 1rem;
}
.carrito-acciones-comprar {
    border: 0;
    background-color: var(--clr-main);
    padding: 1rem;
    border-radius: 1rem;
    color: var(--clr-white);
    text-transform: uppercase;
    cursor: pointer;
}
.disabled{
    display: none;
}